<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb60744dd943b426_37706478/dataStorage/FlowchartTable_lb60744dd943b426_37706478.php';

class FlowchartTableConverter_lb60744dd943b426_37706478{

    public static function toHtml($table){
        if(!($table instanceof FlowchartTable_lb60744dd943b426_37706478))
            return '';

        $headers = $table->getHeaders();
        $rows = $table->getBody();

        $tableStyle = "style='width:100%'; border: 1px solid #000000;";
        $headerHTML = "<tr><th>".implode("</th><th>", $headers)."</th></tr>";

        $bodyHTML = '';
        foreach($rows as $row){
            $bodyHTML .= "<tr><td>".implode("</td><td>", $row)."</td></tr>";
        }

        return "<table border='1' $tableStyle>" . $headerHTML . $bodyHTML . "</table>";
    }

}
