<?php
$operatorMeta = array(
    'operators' => array(
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Notes',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-17' => array(
            'id' => 'op-17',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => 'CREATE TEAMS',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'SplitStringIntoCollectionOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'separator' => array(
                    'id' => 'separator',
                                        'value' => ';',
                                    ),
            ),
            'outDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-24' => array(
            'id' => 'op-24',
            'type' => 'ForEachElementOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'elements' => array(
                    'id' => 'elements',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-30' => array(
            'id' => 'op-30',
            'type' => 'SplitStringIntoCollectionOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'separator' => array(
                    'id' => 'separator',
                                        'value' => ':',
                                    ),
            ),
            'outDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-32' => array(
            'id' => 'op-32',
            'type' => 'GetElementByKeyOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'data' => array(
                    'id' => 'data',
                                        'value' => '',
                                    ),
                'key' => array(
                    'id' => 'key',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-33' => array(
            'id' => 'op-33',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '0',
                                    ),
            ),
        ),
        'op-34' => array(
            'id' => 'op-34',
            'type' => 'SplitStringIntoCollectionOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'separator' => array(
                    'id' => 'separator',
                                        'value' => ',',
                                    ),
            ),
            'outDataPorts' => array(
                'collection' => array(
                    'id' => 'collection',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-35' => array(
            'id' => 'op-35',
            'type' => 'GetElementByKeyOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'data' => array(
                    'id' => 'data',
                                        'value' => '',
                                    ),
                'key' => array(
                    'id' => 'key',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-36' => array(
            'id' => 'op-36',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-37' => array(
            'id' => 'op-37',
            'type' => 'FindOrCreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Teams',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Teams',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-38' => array(
            'id' => 'op-38',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Teams',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Teams',
                                    ),
            ),
        ),
        'op-40' => array(
            'id' => 'op-40',
            'type' => 'LinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Users',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Teams',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'team_memberships',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Users',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Teams',
                                    ),
            ),
        ),
        'op-41' => array(
            'id' => 'op-41',
            'type' => 'ForEachElementOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
                'controlFlowBreak' => array(
                    'id' => 'controlFlowBreak'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowCompleted' => array(
                    'id' => 'controlFlowCompleted'
                ),
                'controlFlowLoopBody' => array(
                    'id' => 'controlFlowLoopBody'
                ),
            ),
            'inDataPorts' => array(
                'elements' => array(
                    'id' => 'elements',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'element' => array(
                    'id' => 'element',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-42' => array(
            'id' => 'op-42',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Users',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'user_name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Users',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Users',
                                    ),
            ),
        ),
        'op-43' => array(
            'id' => 'op-43',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-44' => array(
            'id' => 'op-44',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-45' => array(
            'id' => 'op-45',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-46' => array(
            'id' => 'op-46',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Teams',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Teams',
                                    ),
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'GetStringLengthOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'length' => array(
                    'id' => 'length',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-48' => array(
            'id' => 'op-48',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '0',
                                    ),
            ),
        ),
        'op-49' => array(
            'id' => 'op-49',
            'type' => 'GreaterThanOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-50' => array(
            'id' => 'op-50',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
    ),
    'links' => array(
        'link-25' => array(
            'from' => 'op-16entity',
            'fromOperator' => 'op-16',
            'fromConnector' => 'entity',
            'to' => 'op-17entity',
            'toOperator' => 'op-17',
            'toConnector' => 'entity'
        ),
        'link-27' => array(
            'from' => 'op-16controlFlow',
            'fromOperator' => 'op-16',
            'fromConnector' => 'controlFlow',
            'to' => 'op-19controlFlow',
            'toOperator' => 'op-19',
            'toConnector' => 'controlFlow'
        ),
        'link-28' => array(
            'from' => 'op-18result',
            'fromOperator' => 'op-18',
            'fromConnector' => 'result',
            'to' => 'op-20operand1',
            'toOperator' => 'op-20',
            'toConnector' => 'operand1'
        ),
        'link-29' => array(
            'from' => 'op-17fields0',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields0',
            'to' => 'op-20operand2',
            'toOperator' => 'op-20',
            'toConnector' => 'operand2'
        ),
        'link-30' => array(
            'from' => 'op-16isNewRecord',
            'fromOperator' => 'op-16',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-21operand1',
            'toOperator' => 'op-21',
            'toConnector' => 'operand1'
        ),
        'link-31' => array(
            'from' => 'op-20result',
            'fromOperator' => 'op-20',
            'fromConnector' => 'result',
            'to' => 'op-21operand2',
            'toOperator' => 'op-21',
            'toConnector' => 'operand2'
        ),
        'link-32' => array(
            'from' => 'op-21result',
            'fromOperator' => 'op-21',
            'fromConnector' => 'result',
            'to' => 'op-19condition',
            'toOperator' => 'op-19',
            'toConnector' => 'condition'
        ),
        'link-34' => array(
            'from' => 'op-17fields1',
            'fromOperator' => 'op-17',
            'fromConnector' => 'fields1',
            'to' => 'op-22string',
            'toOperator' => 'op-22',
            'toConnector' => 'string'
        ),
        'link-35' => array(
            'from' => 'op-19controlFlowIfTrue',
            'fromOperator' => 'op-19',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-22controlFlow',
            'toOperator' => 'op-22',
            'toConnector' => 'controlFlow'
        ),
        'link-36' => array(
            'from' => 'op-22collection',
            'fromOperator' => 'op-22',
            'fromConnector' => 'collection',
            'to' => 'op-24elements',
            'toOperator' => 'op-24',
            'toConnector' => 'elements'
        ),
        'link-37' => array(
            'from' => 'op-22controlFlow',
            'fromOperator' => 'op-22',
            'fromConnector' => 'controlFlow',
            'to' => 'op-24controlFlow',
            'toOperator' => 'op-24',
            'toConnector' => 'controlFlow'
        ),
        'link-44' => array(
            'from' => 'op-24element',
            'fromOperator' => 'op-24',
            'fromConnector' => 'element',
            'to' => 'op-30string',
            'toOperator' => 'op-30',
            'toConnector' => 'string'
        ),
        'link-46' => array(
            'from' => 'op-30collection',
            'fromOperator' => 'op-30',
            'fromConnector' => 'collection',
            'to' => 'op-32data',
            'toOperator' => 'op-32',
            'toConnector' => 'data'
        ),
        'link-47' => array(
            'from' => 'op-33result',
            'fromOperator' => 'op-33',
            'fromConnector' => 'result',
            'to' => 'op-32key',
            'toOperator' => 'op-32',
            'toConnector' => 'key'
        ),
        'link-49' => array(
            'from' => 'op-30collection',
            'fromOperator' => 'op-30',
            'fromConnector' => 'collection',
            'to' => 'op-35data',
            'toOperator' => 'op-35',
            'toConnector' => 'data'
        ),
        'link-50' => array(
            'from' => 'op-36result',
            'fromOperator' => 'op-36',
            'fromConnector' => 'result',
            'to' => 'op-35key',
            'toOperator' => 'op-35',
            'toConnector' => 'key'
        ),
        'link-53' => array(
            'from' => 'op-32element',
            'fromOperator' => 'op-32',
            'fromConnector' => 'element',
            'to' => 'op-37fields0',
            'toOperator' => 'op-37',
            'toConnector' => 'fields0'
        ),
        'link-62' => array(
            'from' => 'op-34collection',
            'fromOperator' => 'op-34',
            'fromConnector' => 'collection',
            'to' => 'op-41elements',
            'toOperator' => 'op-41',
            'toConnector' => 'elements'
        ),
        'link-65' => array(
            'from' => 'op-41element',
            'fromOperator' => 'op-41',
            'fromConnector' => 'element',
            'to' => 'op-42fields0',
            'toOperator' => 'op-42',
            'toConnector' => 'fields0'
        ),
        'link-66' => array(
            'from' => 'op-42entitiesNumber',
            'fromOperator' => 'op-42',
            'fromConnector' => 'entitiesNumber',
            'to' => 'op-44operand1',
            'toOperator' => 'op-44',
            'toConnector' => 'operand1'
        ),
        'link-67' => array(
            'from' => 'op-43result',
            'fromOperator' => 'op-43',
            'fromConnector' => 'result',
            'to' => 'op-44operand2',
            'toOperator' => 'op-44',
            'toConnector' => 'operand2'
        ),
        'link-68' => array(
            'from' => 'op-44result',
            'fromOperator' => 'op-44',
            'fromConnector' => 'result',
            'to' => 'op-45condition',
            'toOperator' => 'op-45',
            'toConnector' => 'condition'
        ),
        'link-74' => array(
            'from' => 'op-37controlFlow',
            'fromOperator' => 'op-37',
            'fromConnector' => 'controlFlow',
            'to' => 'op-46controlFlow',
            'toOperator' => 'op-46',
            'toConnector' => 'controlFlow'
        ),
        'link-75' => array(
            'from' => 'op-46controlFlow',
            'fromOperator' => 'op-46',
            'fromConnector' => 'controlFlow',
            'to' => 'op-38controlFlow',
            'toOperator' => 'op-38',
            'toConnector' => 'controlFlow'
        ),
        'link-76' => array(
            'from' => 'op-37entity',
            'fromOperator' => 'op-37',
            'fromConnector' => 'entity',
            'to' => 'op-46entity',
            'toOperator' => 'op-46',
            'toConnector' => 'entity'
        ),
        'link-77' => array(
            'from' => 'op-32element',
            'fromOperator' => 'op-32',
            'fromConnector' => 'element',
            'to' => 'op-46fields0',
            'toOperator' => 'op-46',
            'toConnector' => 'fields0'
        ),
        'link-80' => array(
            'from' => 'op-46entity',
            'fromOperator' => 'op-46',
            'fromConnector' => 'entity',
            'to' => 'op-38entity',
            'toOperator' => 'op-38',
            'toConnector' => 'entity'
        ),
        'link-81' => array(
            'from' => 'op-24element',
            'fromOperator' => 'op-24',
            'fromConnector' => 'element',
            'to' => 'op-46fields1',
            'toOperator' => 'op-46',
            'toConnector' => 'fields1'
        ),
        'link-82' => array(
            'from' => 'op-47length',
            'fromOperator' => 'op-47',
            'fromConnector' => 'length',
            'to' => 'op-49operand1',
            'toOperator' => 'op-49',
            'toConnector' => 'operand1'
        ),
        'link-83' => array(
            'from' => 'op-48result',
            'fromOperator' => 'op-48',
            'fromConnector' => 'result',
            'to' => 'op-49operand2',
            'toOperator' => 'op-49',
            'toConnector' => 'operand2'
        ),
        'link-88' => array(
            'from' => 'op-49result',
            'fromOperator' => 'op-49',
            'fromConnector' => 'result',
            'to' => 'op-50condition',
            'toOperator' => 'op-50',
            'toConnector' => 'condition'
        ),
        'link-89' => array(
            'from' => 'op-24element',
            'fromOperator' => 'op-24',
            'fromConnector' => 'element',
            'to' => 'op-47string',
            'toOperator' => 'op-47',
            'toConnector' => 'string'
        ),
        'link-90' => array(
            'from' => 'op-24controlFlowLoopBody',
            'fromOperator' => 'op-24',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-50controlFlow',
            'toOperator' => 'op-50',
            'toConnector' => 'controlFlow'
        ),
        'link-91' => array(
            'from' => 'op-50controlFlowIfTrue',
            'fromOperator' => 'op-50',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-30controlFlow',
            'toOperator' => 'op-30',
            'toConnector' => 'controlFlow'
        ),
        'link-93' => array(
            'from' => 'op-30controlFlow',
            'fromOperator' => 'op-30',
            'fromConnector' => 'controlFlow',
            'to' => 'op-37controlFlow',
            'toOperator' => 'op-37',
            'toConnector' => 'controlFlow'
        ),
        'link-95' => array(
            'from' => 'op-34controlFlow',
            'fromOperator' => 'op-34',
            'fromConnector' => 'controlFlow',
            'to' => 'op-41controlFlow',
            'toOperator' => 'op-41',
            'toConnector' => 'controlFlow'
        ),
        'link-118' => array(
            'from' => 'op-35element',
            'fromOperator' => 'op-35',
            'fromConnector' => 'element',
            'to' => 'op-34string',
            'toOperator' => 'op-34',
            'toConnector' => 'string'
        ),
        'link-119' => array(
            'from' => 'op-42singleEntity',
            'fromOperator' => 'op-42',
            'fromConnector' => 'singleEntity',
            'to' => 'op-40objectEntity',
            'toOperator' => 'op-40',
            'toConnector' => 'objectEntity'
        ),
        'link-120' => array(
            'from' => 'op-38entity',
            'fromOperator' => 'op-38',
            'fromConnector' => 'entity',
            'to' => 'op-40subjectEntity',
            'toOperator' => 'op-40',
            'toConnector' => 'subjectEntity'
        ),
        'link-121' => array(
            'from' => 'op-45controlFlowIfTrue',
            'fromOperator' => 'op-45',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-40controlFlow',
            'toOperator' => 'op-40',
            'toConnector' => 'controlFlow'
        ),
        'link-122' => array(
            'from' => 'op-42controlFlow',
            'fromOperator' => 'op-42',
            'fromConnector' => 'controlFlow',
            'to' => 'op-45controlFlow',
            'toOperator' => 'op-45',
            'toConnector' => 'controlFlow'
        ),
        'link-123' => array(
            'from' => 'op-41controlFlowLoopBody',
            'fromOperator' => 'op-41',
            'fromConnector' => 'controlFlowLoopBody',
            'to' => 'op-42controlFlow',
            'toOperator' => 'op-42',
            'toConnector' => 'controlFlow'
        ),
        'link-124' => array(
            'from' => 'op-38controlFlow',
            'fromOperator' => 'op-38',
            'fromConnector' => 'controlFlow',
            'to' => 'op-34controlFlow',
            'toOperator' => 'op-34',
            'toConnector' => 'controlFlow'
        ),
    )
);
