<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb60744dd943b426_37706478/operators/FlowchartOperator_lb60744dd943b426_37706478.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb60744dd943b426_37706478/helpers/TypeOperations_lb60744dd943b426_37706478.php';

class ConstantNumberOperator_lb60744dd943b426_37706478 extends FlowchartOperator_lb60744dd943b426_37706478{

    protected $realValue;
    protected $outValue;

    public function __construct($params){
        parent::__construct($params);
    }

    protected function setOutDataPorts($params){

        $this->realValue = $params['outDataPorts']['result']['value'];

        $this->outDataPorts = array(
            'result' => array('id' => 'result')
        );
    }

    public function process($params = array()){
        if(TypeOperations_lb60744dd943b426_37706478::isNumeric($this->realValue)){
            if(strpos($this->realValue, '.') === false){
                $this->outValue = intval($this->realValue);
            }else{
                $this->outValue = doubleval($this->realValue);
            }
        }else
            $this->outValue = 0;
    }


    public function getOutDataByPortId($portId){
        return $this->outValue;
    }

}
