<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb60744dd943b426_37706478/operators/FlowchartOperator_lb60744dd943b426_37706478.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/lb60744dd943b426_37706478/dataStorage/CollectionStorage_lb60744dd943b426_37706478.php';

class SplitStringIntoCollectionOperator_lb60744dd943b426_37706478 extends FlowchartOperator_lb60744dd943b426_37706478{

    protected $flowId;
    protected $separator;
    protected $string;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){
        $this->separator = $params['inDataPorts']['separator']['value'];
        parent::setInDataPorts($params);
    }

    public function setInDataPortById($id, $value){

        if($id == 'string'){
            $this->string = $value;
        }else if($id == 'separator')
            $this->separator = $value;
    }

    public function process($params = array()){
        $this->flowId = $params['flowId'];

        if($this->checkExplodeData($this->separator, $this->string)){
            CollectionStorage_lb60744dd943b426_37706478::createCollection($this->getCollectionId(), explode($this->separator, $this->string));
        }else
            CollectionStorage_lb60744dd943b426_37706478::createCollection($this->getCollectionId());
    }

    protected function checkExplodeData($delimiter, $string){
        return !empty($delimiter) && is_string($delimiter) && !empty($string) && is_string($string);
    }

    public function getOutDataByPortId($portId){
        return array(
            'collectionId' => $this->getCollectionId(),
            'collectionData' => CollectionStorage_lb60744dd943b426_37706478::getCollection($this->getCollectionId())
        );
    }

    protected function getCollectionId(){
        return $this->flowId . $this->id;
    }

}
